TEASEDocs
API ReferencePages & Publish

Upload the notification sound

Uploads and processes an optional notification sound for the draft banner. Requires a write-scoped key.

Authorization

bearerAuth
AuthorizationBearer <token>

Your al_live_<prefix>_<secret> API key. Mint and manage keys in the dashboard.

In: header

Path Parameters

domain*string

Registered hostname, e.g. onlydasha.com.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

POST
/api/admin/notification/{domain}/sound
curl -X POST "https://example.com/api/admin/notification/string/sound" \  -F file="string"
{  "filename": "sound-3c1b.mp3"}
{  "detail": {    "code": "sound_invalid",    "message": "Could not process the audio file."  }}
{  "detail": {    "code": "domain_not_found",    "message": "Domain 'onlydasha.com' is not registered"  }}